package betterquesting.api.nbt_doc;

import betterquesting.api.events.NbtDocEvent;
import net.minecraftforge.common.MinecraftForge;

/* loaded from: betterquesting_api_nbt_doc.jar:betterquesting/api/nbt_doc/NbtDocBasic.class */
public class NbtDocBasic implements INbtDoc {
    private final INbtDoc parent;
    private final String prefix;

    public NbtDocBasic(INbtDoc parent, String prefix) {
        this.parent = parent;
        this.prefix = prefix;
    }

    @Override // betterquesting.api.nbt_doc.INbtDoc
    public String getUnlocalisedTitle() {
        return this.prefix + ".name";
    }

    @Override // betterquesting.api.nbt_doc.INbtDoc
    public String getUnlocalisedName(String key) {
        return this.prefix + "." + key + ".name";
    }

    @Override // betterquesting.api.nbt_doc.INbtDoc
    public String getUnlocalisedDesc(String key) {
        return this.prefix + "." + key + ".desc";
    }

    @Override // betterquesting.api.nbt_doc.INbtDoc
    public INbtDoc getParent() {
        return this.parent;
    }

    @Override // betterquesting.api.nbt_doc.INbtDoc
    public INbtDoc getChild(String child) {
        NbtDocEvent event = new NbtDocEvent(new NbtDocBasic(this, this.prefix + "." + child));
        MinecraftForge.EVENT_BUS.post(event);
        return event.getNbtDocResult();
    }
}
